# Generated by Django 4.2 on 2023-04-19 21:35

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0002_user_is_authorized'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='user',
            name='birth_date',
        ),
        migrations.RemoveField(
            model_name='user',
            name='national_card_image',
        ),
        migrations.RemoveField(
            model_name='user',
            name='national_number',
        ),
        migrations.RemoveField(
            model_name='user',
            name='user_with_card_image',
        ),
        migrations.AddField(
            model_name='user',
            name='created_ts',
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.CreateModel(
            name='UserAuthentication',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('national_number', models.CharField(blank=True, max_length=10, null=True)),
                ('birth_date', models.DateField(blank=True, null=True)),
                ('national_card_image', models.FileField(upload_to='cards')),
                ('user_with_card_image', models.FileField(upload_to='users')),
                ('is_authorized', models.BooleanField(default=False)),
                ('created_ts', models.DateTimeField(auto_now_add=True)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='core.user')),
            ],
            options={
                'verbose_name_plural': 'Authentication',
            },
        ),
    ]
